## YOLO V5
## 简介
YOLOv5 是革命性的“You Only Look Once”物体检测模型的第五次迭代，旨在实时提供高速、高精度的结果。

这个强大的深度学习框架基于 PyTorch 构建，因其多功能性、易用性和高性能而广受欢迎。我们的文档将指导您完成安装过程，解释模型的架构细微差别，展示各种用例，并提供一系列详细的教程。这些资源将帮助您在计算机视觉项目中充分发挥 YOLOv5 的潜力。让我们开始吧！

![](imgs/yolo.jpeg)

## 教程

这是综合教程的汇编，将指导您了解 YOLOv5 的不同方面。

[快速入门](https://docs.ultralytics.com/yolov5/quickstart_tutorial/)

[训练自定义数据](https://docs.ultralytics.com/yolov5/tutorials/train_custom_data/) 推荐：了解如何在自定义数据集上训练 YOLOv5 模型。

[获得最佳训练结果的技巧](https://docs.ultralytics.com/yolov5/tutorials/tips_for_best_training_results/)：发现优化模型训练过程的实用技巧。

[多 GPU 训练](https://docs.ultralytics.com/yolov5/tutorials/multi_gpu_training/)：了解如何利用多个 GPU 来加快训练速度。

[PyTorch Hub](https://docs.ultralytics.com/yolov5/tutorials/pytorch_hub_model_loading/)：学习通过 PyTorch Hub 加载预训练模型。

[TFLite、ONNX、CoreML、TensorRT 导出](https://docs.ultralytics.com/yolov5/tutorials/model_export/)：了解如何将模型导出为不同的格式。

[NVIDIA Jetson 平台部署](https://docs.ultralytics.com/yolov5/tutorials/running_on_jetson_nano/)：了解如何在 NVIDIA Jetson 平台上部署 YOLOv5 模型。

[测试时间增强 (TTA)](https://docs.ultralytics.com/yolov5/tutorials/test_time_augmentation/)：探索如何使用 TTA 来提高模型的预测准确性。

[模型集成](https://docs.ultralytics.com/yolov5/tutorials/model_ensembling/)：学习组合多个模型以提高性能的策略。

[模型剪枝/稀疏性](https://docs.ultralytics.com/yolov5/tutorials/model_pruning_and_sparsity/)：了解剪枝和稀疏性概念，以及如何创建更有效的模型。

[超参数演化](https://docs.ultralytics.com/yolov5/tutorials/hyperparameter_evolution/)：探索自动超参数调整的过程，以获得更好的模型性能。

[使用冻结层进行迁移学习](https://docs.ultralytics.com/yolov5/tutorials/transfer_learning_with_frozen_layers/)：了解如何通过冻结 YOLOv5 中的层来实现迁移学习。

[架构总结](https://docs.ultralytics.com/yolov5/tutorials/architecture_description/) 深入研究 YOLOv5 模型的结构细节。

[Roboflow数据集](https://docs.ultralytics.com/yolov5/tutorials/roboflow_datasets_integration/)：了解如何利用 Roboflow 进行数据集管理、标记和主动学习。

[ClearML 日志记录](https://docs.ultralytics.com/yolov5/tutorials/clearml_logging_integration/) :了解如何集成 ClearML 以在模型训练期间进行高效日志记录。

[YOLOv5 与 Neural Magic](https://docs.ultralytics.com/yolov5/tutorials/neural_magic_pruning_quantization/):了解如何使用 Neural Magic 的 Deepsparse 来修剪和量化您的 YOLOv5 模型。

[Comet 日志记录](https://docs.ultralytics.com/yolov5/tutorials/comet_logging_integration/) 新功能：探索如何利用 Comet 改进模型训练日志记录。
